Skip to content

Get interaction call summaries

Request

Security
oauth2(Required scopes: interaction:read) or bearerAuth or apiKeyHeader
Path
companyIdstringrequired

The unique company identifier.

interactionIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

Interaction's unique identifier to track interactions for. Can be Peach or lender's external identifier.

Query
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

offsetinteger, >= 0

Offset from the start of results.

statusstring

The status of the transcription result.

Enum:"pending""completed""failed"
aICallTranscriptionResultIdstring

Filter by the AI Call Transcription Result ID.

GET
/companies/{companyId}/interactions/{interactionId}/call-transcripts/summaries
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/interactions/{interactionId}/call-transcripts/summaries?limit=25&startingAfter=string&endingBefore=string&offset=0&status=pending&aICallTranscriptionResultId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(CallSummaryResult)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }